Bug 1451642 (CVE-2017-6887) - CVE-2017-6887 libraw: Boundary error in the parse_tiff_ifd()
Summary: CVE-2017-6887 libraw: Boundary error in the parse_tiff_ifd()
Keywords:
Status: CLOSED WONTFIX
Alias: CVE-2017-6887
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1451644 1451643 1451645
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-05-17 08:35 UTC by Andrej Nemec
Modified: 2019-09-29 14:12 UTC (History)
6 users (show)

Fixed In Version: LibRaw 0.18.2
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-05-17 08:40:43 UTC


Attachments (Terms of Use)

Description Andrej Nemec 2017-05-17 08:35:40 UTC
A boundary error exists within the "parse_tiff_ifd()" function (internal/dcraw_common.cpp) in LibRaw. A maliciously crafted file could cause the application to crash.

References:

https://secuniaresearch.flexerasoftware.com/secunia_research/2017-6/

Upstream patch:

https://github.com/LibRaw/LibRaw/commit/d7c3d2cb460be10a3ea7b32e9443a83c243b2251

Comment 1 Andrej Nemec 2017-05-17 08:38:44 UTC
Created LibRaw tracking bugs for this issue:

Affects: epel-6 [bug 1451644]
Affects: fedora-all [bug 1451645]


Created mingw-LibRaw tracking bugs for this issue:

Affects: fedora-all [bug 1451643]


Note You need to log in before you can comment on or make changes to this bug.